package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.CgiReplyBucketData;
import com.tzld.piaoquan.growth.common.model.po.CgiReplyBucketDataExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Mapper
@Repository
public interface CgiReplyBucketDataMapper {
    long countByExample(CgiReplyBucketDataExample example);

    int deleteByExample(CgiReplyBucketDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CgiReplyBucketData record);

    int insertSelective(CgiReplyBucketData record);

    List<CgiReplyBucketData> selectByExample(CgiReplyBucketDataExample example);

    CgiReplyBucketData selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CgiReplyBucketData record, @Param("example") CgiReplyBucketDataExample example);

    int updateByExample(@Param("record") CgiReplyBucketData record, @Param("example") CgiReplyBucketDataExample example);

    int updateByPrimaryKeySelective(CgiReplyBucketData record);

    int updateByPrimaryKey(CgiReplyBucketData record);

    List<Long> selectVideoId(@Param("createTime") Date createTime);
}